Skip to main content
GET
Get person

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

person_id
string<uuid>
required

Person's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Person representation.

Details of a person

ban_status
enum<string>
required

(beta) Ban status of the person. One of the following:

  • ALLOWED โ€“ person is not banned or suspended
  • SUSPENDED - person is manually suspended due to fraud
  • BANNED โ€“ person is banned due to matching ban rules Note: changing the ban status to or from BANNED can only be performed by the Synctera platform based on ban rules.
Available options:
ALLOWED,
BANNED,
SUSPENDED
Example:

"ALLOWED"

creation_time
string<date-time>
required
read-only

The date and time the resource was created.

Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required
read-only

Person's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

is_customer
boolean
required

True for personal and business customers with a direct relationship with the fintech or bank. Set this to true for any customer related to an account.

Example:

true

last_updated_time
string<date-time>
required
read-only

The date and time the resource was last updated.

Example:

"2010-05-06T12:23:34.321Z"

status
enum<string>
required

Status of the person. One of the following:

  • ACTIVE โ€“ is an integrator defined status. Integrators should set a person to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the person is eligible for specific actions such as initiating transactions or issuing a card.
  • DECEASED โ€“ person is deceased.
  • DENIED โ€“ customer was turned down.
  • DORMANT โ€“ person is no longer active.
  • ESCHEAT โ€“ person's assets are abandoned and are property of the state.
  • FROZEN โ€“ person's actions are blocked for security, legal, or other reasons.
  • INACTIVE โ€“ an inactive status indicating that the person is no longer active.
  • PROSPECT โ€“ a potential customer, used for information-gathering and disclosures.
  • SANCTION โ€“ person is on a sanctions list and should be carefully monitored.
Available options:
ACTIVE,
DECEASED,
DENIED,
DORMANT,
ESCHEAT,
FROZEN,
INACTIVE,
PROSPECT,
SANCTION
Example:

"ACTIVE"

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

verification_status
enum<string>
required
read-only

The result of a KYC/KYB verification. One of the following:

  • UNVERIFIED โ€“ verification has not been completed for this customer.
  • PENDING โ€“ verification is in progress for this customer.
  • PROVISIONAL โ€“ partially verified or verified with restrictions.
  • ACCEPTED โ€“ the customer has been verified.
  • REVIEW โ€“ verification has run and issues have been identified and require review.
  • REJECTED โ€“ the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
UNVERIFIED,
PENDING,
PROVISIONAL,
ACCEPTED,
REVIEW,
REJECTED
Example:

"ACCEPTED"

chosen_name
string

Person's chosen name.

Example:

"Annie"

customer_active
string<date-time>
read-only

The date and time this person became a bank customer.

Example:

"2010-05-06T12:23:34.321Z"

dob
string<date>

Person's date of birth in RFC 3339 full-date format (YYYY-MM-DD). Must be on or after 1900-01-01 and before current date.

Example:

"2000-01-01"

email
string

Person's email.

Example:

"alice@example.com"

first_name
string

Person's first name.

Example:

"Jane"

has_accounts
boolean
read-only

This flag indicates whether the person or business has accounts.

is_user
boolean
read-only

True for console users. Set this to true for any users direct access to the Synctera console.

Example:

true

last_name
string

Person's last name.

Example:

"Smith"

Legal address

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

middle_name
string

Person's middle name.

Example:

"Anne"

phone_number
string

Person's mobile phone number with country code in E.164 format. Must have a valid country code. Area code and local phone number are not validated

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14374570680"

shipping_address
object

Shipping address

spend_control_ids
string<uuid>[]

List of spend control IDs to control spending for the customer

Maximum array length: 100
ssn
string

Person's full tax ID eg SSN formatted with hyphens. The response contains the last 4 digits only (e.g. 6789).

Example:

"123-45-6789"

ssn_source
enum<string>
read-only

Describes the collection method for the customer's SSN:

  • MANUAL โ€“ the full 9 digits of the customer's SSN was collected.
  • PREFILL โ€“ the customer's SSN was collected using SSN Prefill.
Available options:
MANUAL,
PREFILL
verification_last_run
string<date-time>
read-only

Date and time KYC verification was last run on the person.

Example:

"2010-05-06T12:23:34.321Z"

personal_ids
object[]

Array of personal identifiers

classifications
enum<string>[]
read-only

Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.

Specifies the classification of a party.

Available options:
BANK_CUSTOMER,
AUTHORIZED_USER,
PROSPECT,
INACTIVE_BANK_CUSTOMER
vendor_info
object

Vendor information for external account management systems